# Uses of Class
org.eclipse.birt.report.model.api.ActionHandle

Packages that use ActionHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.olap
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of ActionHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return ActionHandle
Modifier and Type
Method
Description
`static ActionHandle`
ModuleUtil.`deserializeAction(InputStream streamData)`
Deserialize an input stream into an Action.
`static ActionHandle`
ModuleUtil.`deserializeAction(InputStream streamData, DesignElementHandle element)`
Deserialize an input stream into an Action.
`static ActionHandle`
ModuleUtil.`deserializeAction(String strData)`
Deserializes a string into an ActionHandle, notice that the handle is faked, the action is not in the design tree, the operation to the handle is not able to be undone.
`static ActionHandle`
ModuleUtil.`deserializeAction(String strData, DesignElementHandle element)`
Deserialize a string into an ActionHandle, notice that the handle is faked, the action is not in the design tree, the operation to the handle is not able to be undoned.
`ActionHandle`
ColumnHintHandle.`getActionHandle()`
Returns a handle to work with the action property, action is a structure that defines a hyperlink.
`ActionHandle`
DataItemHandle.`getActionHandle()`
Returns a handle to work with the action property, action is a structure that defines a hyperlink.
`ActionHandle`
ImageHandle.`getActionHandle()`
Returns a handle to work with the action property, action is a structure that defines a hyperlink.
`ActionHandle`
LabelHandle.`getActionHandle()`
Returns a handle to work with the action property, action is a structure that defines a hyperlink.
`ActionHandle`
ColumnHintHandle.`setAction(Action action)`
Set an action on the image.
`ActionHandle`
DataItemHandle.`setAction(Action action)`
Set an action on the image.
`ActionHandle`
ImageHandle.`setAction(Action action)`
Set an action on the image.
`ActionHandle`
LabelHandle.`setAction(Action action)`
Set an action on the image.
Methods in org.eclipse.birt.report.model.api that return types with arguments of type ActionHandle
Modifier and Type
Method
Description
`Iterator<ActionHandle>`
DataItemHandle.`actionsIterator()`
Returns the iterator for action defined on this data item.
`Iterator<ActionHandle>`
ImageHandle.`actionsIterator()`
Returns the iterator for action defined on this image item.
`Iterator<ActionHandle>`
LabelHandle.`actionsIterator()`
Returns the iterator for action defined on this label item.
Methods in org.eclipse.birt.report.model.api with parameters of type ActionHandle
Modifier and Type
Method
Description
`static String`
ModuleUtil.`serializeAction(ActionHandle action)`
Serialize an action into a stream, the stream is in UTF-8 encoding.

## Uses of ActionHandle in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl with parameters of type ActionHandle
Modifier and Type
Method
Description
`IAction`
SimpleElementFactory.`createAction(ActionHandle action, ReportItemHandle handle)`

## Uses of ActionHandle in org.eclipse.birt.report.model.api.olap

Methods in org.eclipse.birt.report.model.api.olap that return ActionHandle
Modifier and Type
Method
Description
`ActionHandle`
LevelHandle.`getActionHandle()`
Returns a handle to work with the action property, action is a structure that defines a hyperlink.
`ActionHandle`
MeasureHandle.`getActionHandle()`
Returns a handle to work with the action property, action is a structure that defines a hyperlink.
`ActionHandle`
LevelHandle.`setAction(Action action)`
Set an action on the level.
`ActionHandle`
MeasureHandle.`setAction(Action action)`
Set an action on the measure.
Methods in org.eclipse.birt.report.model.api.olap that return types with arguments of type ActionHandle
Modifier and Type
Method
Description
`Iterator<ActionHandle>`
LevelHandle.`actionsIterator()`
Returns the iterator for action defined on this level.
`Iterator<ActionHandle>`
MeasureHandle.`actionsIterator()`
Returns the iterator for action defined on this measure.

## Uses of ActionHandle in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type ActionHandle
Modifier and Type
Method
Description
`IAction`
ISimpleElementFactory.`createAction(ActionHandle action, ReportItemHandle handle)`
Creates the action structure.